# $Revision: 1.25 $, $Date: 2008-05-12 15:21:29 $
#
# TODO:
# - move header file to -devel
# - split an -init  (what for? --radek)
#
Summary:	DHCP D-BUS daemon (dhcdbd) controls dhclient sessions with D-BUS, stores and presents DHCP options
Summary(pl.UTF-8):	Demon DHCP D-BUS (dhcdbd) - sterowanie sesjami dhclient przy użyciu D-BUS, przechowywanie opcji DHCP
Name:		dhcdbd
Version:	3.0
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://dcantrel.fedorapeople.org/dhcdbd/%{name}-%{version}.tar.bz2
# Source0-md5:	5316b1a0b3a3d53e972374627546d0bf
Source1:	%{name}.init
URL:		http://dcantrel.fedorapeople.org/dhcdbd/
BuildRequires:	dbus-devel >= 0.33
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	dbus >= 0.33
Requires:	dhcp-client >= 4:3.0.5-1
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DHCP D-BUS daemon (dhcdbd) controls dhclient sessions with D-BUS,
stores and presents DHCP options.

%description -l pl.UTF-8
Demon DHCP D-BUS (dhcdbd) steruje sesjami dhclient przy użyciu D-BUS,
a także przechowuje i przedstawia opcje DHCP.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I../include -DDHCLIENT_EXTENDED_OPTION_ENVIRONMENT=0"
	LDFLAGS="%{rpmldflags}"

%{__sed} -i -e"s@Exec=.*@Exec=%{_sbindir}/dhcdbd@" dhcdbd.service

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT{/sbin/dhcdbd,%{_sbindir}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcdbd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dhcdbd
%service dhcdbd restart "DHCP D-BUS daemon"
if [ -f /var/lock/subsys/dhcdbd ]; then
	echo "You will probably also need \"/sbin/service messagebus restart\""
	echo "to reload the *.service database."
fi

%preun
if [ "$1" = "0" ]; then
	%service dhcdbd stop
	/sbin/chkconfig --del dhcdbd
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/dhcdbd
%attr(754,root,root) /etc/rc.d/init.d/dhcdbd
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/dhcdbd.conf
%{_datadir}/dbus-1/services/dhcdbd.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dhcdbd.spec,v $
Revision 1.25  2008-05-12 15:21:29  patrys
- 3.0

Revision 1.24  2008-04-27 01:44:04  glen
- adapter, updated initscript; rel 4

Revision 1.23  2007-10-28 14:24:29  emes
- obsolete patch: there's compilation flag for that (disables RH-specific dhclient features)

Revision 1.22  2007/10/28 14:18:38  emes
- bugfix path: the '-x' option shouldn't be passed to dhclient on start

Revision 1.21  2007/06/07 20:50:18  aredridel
- 2.8

Revision 1.20  2007/04/30 17:15:37  rotom
- up to 2.7

Revision 1.19  2007/03/31 23:39:40  arekm
- up to 2.6

Revision 1.18  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.16  2007/01/13 17:08:26  czarny
- the newly made dhcp requirement

Revision 1.15  2007/01/13 15:12:15  qboosh
- complete URL

Revision 1.14  2007/01/13 15:06:24  czarny
- up to 2.2
- rel 1
- moved URLS-s to new location
- corrected service file
- patch0 already upstream

Revision 1.13  2006/12/25 12:57:26  arekm
- rel 1

Revision 1.12  2006/08/23 19:25:27  patrys
- fix dbus api

Revision 1.11  2006/07/01 10:05:57  radek
- version 2.14
- FHS fix: moved from /sbin to /usr/sbin (depends on /usr/lib)
- removed *.h from docs (not that interesting...)

Revision 1.10  2006/06/27 16:46:31  radek
- amd64 fix

Revision 1.9  2006/04/16 21:35:10  glen
- fix chkconfig, rc-scripts deps

Revision 1.8  2006/04/16 21:33:16  glen
- use %service

Revision 1.7  2006/03/25 03:43:33  aredridel
- up to 1.12

Revision 1.6  2006/02/08 22:45:20  patrys
- more specific R: on dhcp-client

Revision 1.5  2005/10/26 11:27:49  deejay1
- fixed typo in scriptlet

Revision 1.4  2005/10/26 11:05:45  deejay1
- proper _sbindir redefiniton
- up to 1.9

Revision 1.3  2005/10/21 13:34:14  darekr
- defined _sbindir to /sbin for use macro
- removed -c option from `install`

Revision 1.2  2005/07/13 16:45:07  qboosh
- pl, fixed typos in build, verify() for config

Revision 1.1  2005/07/12 22:58:03  jpc
- initial, based on the original spec from sources
